import request from '@/utils/request'

// 查询TmPlatformAccount列表
export function listTmPlatformAccount(query) {
  return request({
    url: '/api/v1/tm-platform-account',
    method: 'get',
    params: query
  })
}

// 查询TmPlatformAccount详细
export function getTmPlatformAccount(id) {
  return request({
    url: '/api/v1/tm-platform-account/' + id,
    method: 'get'
  })
}

// 新增TmPlatformAccount
export function addTmPlatformAccount(data) {
  return request({
    url: '/api/v1/tm-platform-account',
    method: 'post',
    data: data
  })
}

// 修改TmPlatformAccount
export function updateTmPlatformAccount(data) {
  return request({
    url: '/api/v1/tm-platform-account/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除TmPlatformAccount
export function delTmPlatformAccount(data) {
  return request({
    url: '/api/v1/tm-platform-account',
    method: 'delete',
    data: data
  })
}

// 更新TmPlatformAccount剩余量
export function tmPlatformAccountRemain(id) {
  return request({
    url: '/api/v1/tm-platform-account/query-remain/' + id,
    method: 'put'
  })
}

